<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $conf, $user;

include_once(get_language_filepath('plugin.lang.php', STUFFS_PATH));
include_once(STUFFS_PATH . 'functions.inc.php');
include_once(STUFFS_PATH . 'admin/functions.inc.php');

//Ajout d'un module
if (isset($_POST['addModule']) and !is_adviser()) {
	if (!isset($_POST['module'])) {
		array_push($page['errors'], l10n('stuffs_error_no_mod_selected'));
	} else {
    	header('Location: http://' . $_SERVER['HTTP_HOST']
			. rtrim(dirname($_SERVER['PHP_SELF']), '/\\')
			. '/admin.php?page=plugin&section=' . STUFFS_DIR . '%2Fadmin%2Fadd_module.php&type=' . $_POST['module']);
	}
}

//Suppression d'un module
if (isset($_GET['del']) and !is_adviser()) {
	pwg_query('DELETE FROM ' . STUFFS_TABLE . ' WHERE id = ' . $_GET['del'] . ' LIMIT 1;');
    header('Location: http://' . $_SERVER['HTTP_HOST']
		. rtrim(dirname($_SERVER['PHP_SELF']), '/\\')
		. '/admin.php?page=plugin&section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php');
}

// Enregistrement de l'ordre
if (isset($_POST['submitOrder']) and !is_adviser()) {
    asort($_POST['position'], SORT_NUMERIC);
    $pos = 1;
    foreach($_POST['position'] as $id => $old_pos) {
		$result = pwg_query('SELECT params FROM ' . STUFFS_TABLE . ' WHERE id = ' . $id . ' LIMIT 1;');
		$row = mysql_fetch_assoc($result);
		$params = explode(',', $row['params']);
		if ($id != 0) {
			$params[4] = $_POST['id_line'][$id];
			$params[5] = $_POST['width'][$id];
		}
    	pwg_query('UPDATE ' . STUFFS_TABLE . '
SET pos=' . $pos++ . ' , params="' . implode(',', $params) . '"
WHERE id=' . $id . ' LIMIT 1');
    }
    array_push($page['infos'], l10n('stuffs_order_saved'));
}

//Rcupration des modules disponibles
$modules = get_stuffs_modules();

// Affichage des modules et de leur position
$q = 'SELECT id, name, descr, type, params
FROM ' . STUFFS_TABLE . '
ORDER BY pos ASC;';
$result = pwg_query($q);
$num = 0;
$pos = 1;
$cat_mod = array('name' => l10n('Categories'), 'type' => '-', 'description' => '');
while ($module = mysql_fetch_assoc($result)) {
	$params = explode(',', $module['params']);
	$id_line = (isset($params[4]) ? $params[4] : '');
	$width = (isset($params[5]) ? $params[5] : '');
	if (empty($module['descr'])) $module['descr'] = '-';
	if ($module['type'] == 'MainBlock') {
		$module['name'] = '<font color=red>' . l10n('stuffs_main_block') . '</font>';
		$id_line = 'mainblock';
		$action = '-';
	} else {
		$module['name'] = get_lang_module_title($module['name']);

    	$action = '<ul class="categoryActions">'
		
		  	. ($module['type'] != 'News' ?
			'<li><a href="' . PHPWG_ROOT_PATH . 'admin.php?page=plugin&section=' . STUFFS_DIR . '%2Fadmin%2Fadd_module.php&type=' . $module['type'] . '&edit=' . $module['id'] . '" title="' . l10n('stuffs_edit') . '">
			  	<img src="' . PHPWG_ROOT_PATH . $template->themeconf['icon_dir'] . '/category_edit.png" class="button" alt="' . l10n('stuffs_edit') . '"/></a></li>&nbsp;
  			' : '')
			
			. (!is_adviser() ? 
			'<li><a href="' . PHPWG_ROOT_PATH . 'admin.php?page=plugin&section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&del=' . $module['id'] . '" title="' . l10n('stuffs_delete') . '" onclick="return confirm(\'' . sprintf(l10n('stuffs_confirm_delete'), $module['name']) . '\');">
			  	<img src="'. PHPWG_ROOT_PATH . $template->themeconf['icon_dir'] . '/category_delete.png" class="button" alt="' . l10n('stuffs_delete') . '"/></a></li>' :
			'') . '
			</ul>';
    	if (file_exists(STUFFS_PATH . 'modules/' . $module['type'] . '/admin/admin.php')) {
			$module['name'] = '<a href="' . STUFFS_PATH . 'modules/' . $module['type'] . '/admin/admin.php' . '">' . $module['name'] . '</a>';
		}
	}

    $template->assign_block_vars('module',
        array('NAME' => $module['name'],
        	'DESC' => $module['descr'],
            'TYPE' => (isset($modules[$module['type']]['name']) ? $modules[$module['type']]['name'] : '-'),
            'POS' => 10 * $pos++,
            'ID_LINE' => ($id_line != 'mainblock' ? '<select name="id_line[' . $module['id'] . ']">
																<option value="">-</option>
																<option value="A" ' . ($id_line == 'A' ? 'selected="selected"' : '') . '>A</option>
																<option value="B" ' . ($id_line == 'B' ? 'selected="selected"' : '') . '>B</option>
																<option value="C" ' . ($id_line == 'C' ? 'selected="selected"' : '') . '>C</option>
																<option value="D" ' . ($id_line == 'D' ? 'selected="selected"' : '') . '>D</option>
																<option value="E" ' . ($id_line == 'E' ? 'selected="selected"' : '') . '>E</option>
																<option value="F" ' . ($id_line == 'F' ? 'selected="selected"' : '') . '>F</option>
																<option value="G" ' . ($id_line == 'G' ? 'selected="selected"' : '') . '>G</option>
																<option value="H" ' . ($id_line == 'H' ? 'selected="selected"' : '') . '>H</option>
																<option value="I" ' . ($id_line == 'I' ? 'selected="selected"' : '') . '>I</option>
																<option value="J" ' . ($id_line == 'J' ? 'selected="selected"' : '') . '>J</option>
																</select>' : '-'),
			'WIDTH' => ($id_line != 'mainblock' ? '<input type="text" size="1" maxlength="3" value="' . $width . '" name="width[' . $module['id'] . ']"/> %' : '-'),
			'ID' => $module['id'],
            'ACTION' => $action,
            'CLASS' => ($num++ % 2 == 1) ? 'row2' : 'row1'));
}


// Affichages des modules  ajouter
foreach($modules as $module){
	$template->assign_block_vars('add_module',
        array('MODULE' => $module['type'],
            'NAME' => $module['name'],
			'DESC' => $module['description']));
}

$template->set_filename('plugin_admin_content', STUFFS_PATH . 'admin/admin.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>